> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Receivables

> List receivable documents



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/documents
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/documents:
    get:
      tags:
        - cashin
      summary: List all collecting documents
      description: List all collecting documents
      operationId: TrioFoundationWeb.Banking.Cashin.DocumentController.index
      parameters:
        - description: Virtual account ID
          in: query
          name: virtual_account_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: From datetime
          in: query
          name: from_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: Reconciliation ID
          in: query
          name: reconciliation_id
          required: false
          schema:
            $ref: '#/components/schemas/UUID'
        - description: Collecting document ref type
          in: query
          name: ref_type
          required: false
          schema:
            $ref: '#/components/schemas/Collecting_document_ref_type'
        - description: Collecting document status
          in: query
          name: status
          required: false
          schema:
            $ref: '#/components/schemas/Collecting_document_status'
        - description: Collecting document type
          in: query
          name: type
          required: false
          schema:
            $ref: '#/components/schemas/Collecting_document_type'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/List_of_collecting_documents'
          description: Documents
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    Collecting_document_ref_type:
      description: Collecting document ref type
      items:
        enum:
          - none
          - pix_qrcode
          - pix_static_qrcode
          - payment_document
          - initiation_document
        type: string
      title: Collecting document ref type
      type: string
    Collecting_document_status:
      description: Collecting document status
      enum:
        - created
        - confirmed
        - settled
        - refunded
        - reversed
        - failed
      title: Collecting document status
      type: string
    Collecting_document_type:
      description: Collecting document type
      items:
        enum:
          - pix
          - boleto
          - ted
          - tef
          - utility
          - tax
          - internal
        type: string
      title: Collecting document type
      type: string
    List_of_collecting_documents:
      description: List of collecting documents
      example:
        data:
          - amount:
              amount: 100
              currency: BRL
            counterparty:
              name: TEST
              tax_number: '11122233344'
            counterparty_bank_account:
              digit: '1'
              ispb: '49931906'
              number: '12341234'
              type: checking
            counterparty_bank_account_id: 018f9cb0-8d11-53ba-0550-54933e15377b
            counterparty_id: 018f9cb0-8d11-7c91-c62b-d94aec76c1bc
            description: description
            end_to_end_id: E44444444202405211946Dwg1pjxgehP
            external_id: external_id
            id: 018f9cb0-8d11-72dd-bb14-f82554e80999
            initiation: null
            origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
            origin_type: none
            receipt_url: >-
              https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999
            reconciliation_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
            ref_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
            ref_type: pix_qrcode
            refunds:
              - amount:
                  amount: 10
                  currency: BRL
                description: Refund description
                end_to_end_id: E44444444202405211946Dwg1pjxgehP
                id: 018f9cb0-8d37-031e-8b99-bac2919a5033
                receipt_url: >-
                  https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033
                reconciliation_id: 018f9cb0-8d37-031e-8b99-bac2919a5033
                status: settled
                timestamp: '2024-05-21T19:46:07.285344Z'
                transaction_date: '2024-05-21T19:46:07.285344Z'
            stages:
              - error_code: null
                error_message: null
                id: 018f9cb0-8d37-031e-8b99-bac2919a5033
                inserted_at: '2024-05-21T19:46:07.285344Z'
                status: settled
            status: created
            timestamp: '2024-05-21T19:46:07.249436Z'
            transaction_date: '2024-05-21T19:46:07.249436Z'
            txid: 01HYEB138H6W398TXB3501DF2M
            type: pix
            virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
      properties:
        data:
          items:
            $ref: '#/components/schemas/Collecting_document'
          type: array
      title: List of collecting documents
      type: object
    Collecting_document:
      description: Collecting document
      example:
        data:
          amount:
            amount: 100
            currency: BRL
          counterparty:
            name: TEST
            tax_number: '11122233344'
          counterparty_bank_account:
            digit: '1'
            ispb: '49931906'
            number: '12341234'
            type: checking
          counterparty_bank_account_id: 018f9cb0-8d11-53ba-0550-54933e15377b
          counterparty_id: 018f9cb0-8d11-7c91-c62b-d94aec76c1bc
          description: description
          end_to_end_id: E44444444202405211946Dwg1pjxgehP
          external_id: external_id
          id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          initiation: null
          origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          origin_type: none
          receipt_url: >-
            https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999
          reconciliation_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          ref_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          ref_type: pix_qrcode
          refunds:
            - amount:
                amount: 10
                currency: BRL
              description: Refund description
              end_to_end_id: E44444444202405211946Dwg1pjxgehP
              id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              receipt_url: >-
                https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033
              reconciliation_id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              status: settled
              timestamp: '2024-05-21T19:46:07.285344Z'
              transaction_date: '2024-05-21T19:46:07.285344Z'
          stages:
            - error_code: null
              error_message: null
              id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              inserted_at: '2024-05-21T19:46:07.285344Z'
              status: settled
          status: created
          timestamp: '2024-05-21T19:46:07.249436Z'
          transaction_date: '2024-05-21T19:46:07.249436Z'
          txid: 01HYEB138H6W398TXB3501DF2M
          type: pix
          virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
      properties:
        data:
          $ref: '#/components/schemas/Collecting_document'
      title: Collecting document
      type: object

````